﻿using System;
using System.Collections.Generic;
using Tekla.Structures.Geometry3d;
using Tekla.Structures.Model;

namespace PlateBeamConverter
{
	// Token: 0x0200000A RID: 10
	public struct OriginalBeamProperties
	{
		// Token: 0x0400002A RID: 42
		public string BeamIdentifierGUID;

		// Token: 0x0400002B RID: 43
		public CoordinateSystem BeamCoordinateSystem;

		// Token: 0x0400002C RID: 44
		public string BeamFinish;

		// Token: 0x0400002D RID: 45
		public string BeamPrefix;

		// Token: 0x0400002E RID: 46
		public string BeamClass;

		// Token: 0x0400002F RID: 47
		public Material BeamMaterial;

		// Token: 0x04000030 RID: 48
		public Profile BeamProfile;

		// Token: 0x04000031 RID: 49
		public double BeamWebThickness;

		// Token: 0x04000032 RID: 50
		public double BeamFlangeThickness;

		// Token: 0x04000033 RID: 51
		public double BeamPlateFlangeThickness;

		// Token: 0x04000034 RID: 52
		public double BeamFlangeThickness1;

		// Token: 0x04000035 RID: 53
		public double BeamFlangeThickness2;

		// Token: 0x04000036 RID: 54
		public double BeamFlangeWidth1;

		// Token: 0x04000037 RID: 55
		public double BeamFlangeWidth2;

		// Token: 0x04000038 RID: 56
		public double BeamHeight;

		// Token: 0x04000039 RID: 57
		public double BeamHeight1;

		// Token: 0x0400003A RID: 58
		public double BeamHeight2;

		// Token: 0x0400003B RID: 59
		public double BeamHeight3;

		// Token: 0x0400003C RID: 60
		public double BeamHeight4;

		// Token: 0x0400003D RID: 61
		public double BeamWidth;

		// Token: 0x0400003E RID: 62
		public Point BeamStartPoint;

		// Token: 0x0400003F RID: 63
		public Offset BeamStartPointOffset;

		// Token: 0x04000040 RID: 64
		public Point BeamEndPoint;

		// Token: 0x04000041 RID: 65
		public Offset BeamEndPointOffset;

		// Token: 0x04000042 RID: 66
		public Position BeamPosition;

		// Token: 0x04000043 RID: 67
		public Beam.BeamTypeEnum BeamTypeEnum;

		// Token: 0x04000044 RID: 68
		public double ColumnBottomLevel;

		// Token: 0x04000045 RID: 69
		public double ColumnTopLevel;

		// Token: 0x04000046 RID: 70
		public List<ModelObject> AssociativeObjects;

		// Token: 0x04000047 RID: 71
		public List<ModelObject> Components;
	}
}
