﻿using System;
using System.Collections;
using System.Collections.Generic;
using Tekla.Structures.Geometry3d;
using Tekla.Structures.Model;

namespace PlateBeamConverter
{
	// Token: 0x0200000B RID: 11
	public struct OriginalPolyBeamProperties
	{
		// Token: 0x04000048 RID: 72
		public string PolyBeamIdentifierGUID;

		// Token: 0x04000049 RID: 73
		public CoordinateSystem PolyBeamCoordinateSystem;

		// Token: 0x0400004A RID: 74
		public ArrayList PolyBeamSegmentCoordinateSystems;

		// Token: 0x0400004B RID: 75
		public ArrayList PolyBeamCenterLine;

		// Token: 0x0400004C RID: 76
		public string PolyBeamPrefix;

		// Token: 0x0400004D RID: 77
		public string PolyBeamFinish;

		// Token: 0x0400004E RID: 78
		public string PolyBeamClass;

		// Token: 0x0400004F RID: 79
		public Material PolyBeamMaterial;

		// Token: 0x04000050 RID: 80
		public Profile PolyBeamProfile;

		// Token: 0x04000051 RID: 81
		public double PolyBeamWebThickness;

		// Token: 0x04000052 RID: 82
		public double PolyBeamFlangeThickness;

		// Token: 0x04000053 RID: 83
		public double PolyBeamPlateFlangeThickness;

		// Token: 0x04000054 RID: 84
		public double PolyBeamFlangeThickness1;

		// Token: 0x04000055 RID: 85
		public double PolyBeamFlangeThickness2;

		// Token: 0x04000056 RID: 86
		public double PolyBeamFlangeWidth1;

		// Token: 0x04000057 RID: 87
		public double PolyBeamFlangeWidth2;

		// Token: 0x04000058 RID: 88
		public double PolyBeamHeight;

		// Token: 0x04000059 RID: 89
		public double PolyBeamHeight1;

		// Token: 0x0400005A RID: 90
		public double PolyBeamHeight2;

		// Token: 0x0400005B RID: 91
		public double PolyBeamHeight3;

		// Token: 0x0400005C RID: 92
		public double PolyBeamHeight4;

		// Token: 0x0400005D RID: 93
		public double PolyBeamWidth;

		// Token: 0x0400005E RID: 94
		public ArrayList PolyBeamPolygonPoints;

		// Token: 0x0400005F RID: 95
		public Position PolyBeamPosition;

		// Token: 0x04000060 RID: 96
		public PolyBeam.PolyBeamTypeEnum PolyBeamTypeEnum;

		// Token: 0x04000061 RID: 97
		public double ColumnBottomLevel;

		// Token: 0x04000062 RID: 98
		public double ColumnTopLevel;

		// Token: 0x04000063 RID: 99
		public List<ModelObject> AssociativeObjects;

		// Token: 0x04000064 RID: 100
		public List<ModelObject> Components;
	}
}
