﻿using System;
using System.Windows.Forms;
using Tekla.Structures;

namespace PlateBeamConverter
{
	// Token: 0x02000015 RID: 21
	internal static class Program
	{
		// Token: 0x0600011C RID: 284 RVA: 0x0000C874 File Offset: 0x0000AA74
		[STAThread]
		private static void Main()
		{
			try
			{
				if (TeklaStructures.Connect())
				{
					TeklaStructures.Closed += delegate(object sender, EventArgs e)
					{
						Application.Exit();
					};
					Application.EnableVisualStyles();
					Application.SetCompatibleTextRenderingDefault(false);
					try
					{
						Attributes attributes = new Attributes();
						attributes.Show();
						Application.Run(attributes);
						return;
					}
					finally
					{
						TeklaStructures.Disconnect();
					}
				}
				MessageBox.Show("请先打开TS和模型!", "打开TS", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
			}
			catch
			{
				MessageBox.Show("请先打开TS和模型!!", "打开TS", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
			}
		}
	}
}
