﻿using System;
using System.Collections.Generic;
using System.IO;

namespace PlateBeamConverter
{
	// Token: 0x02000017 RID: 23
	public class Utility
	{
		// Token: 0x06000132 RID: 306 RVA: 0x0000CC54 File Offset: 0x0000AE54
		public static bool CreateErrorReport()
		{
			bool result = false;
			if (Utility.MessageList != null && Utility.MessageList.Count > 0)
			{
				try
				{
					Utility.ReportName = PlateBeamConverterTools.WorkingModel.GetInfo().ModelPath + "\\PlateBeamConverter_ErrorReport.txt";
					StreamWriter streamWriter = new StreamWriter(Utility.ReportName);
					streamWriter.WriteLine("PlateBeamConverter:");
					streamWriter.WriteLine();
					foreach (string current in Utility.MessageList)
					{
						streamWriter.WriteLine(current);
					}
					streamWriter.Flush();
					streamWriter.Close();
					result = true;
				}
				catch
				{
				}
			}
			return result;
		}

		// Token: 0x17000039 RID: 57
		// (get) Token: 0x06000133 RID: 307 RVA: 0x0000CD44 File Offset: 0x0000AF44
		// (set) Token: 0x06000134 RID: 308 RVA: 0x000022EF File Offset: 0x000004EF
		public static List<string> MessageList
		{
			get
			{
				return Utility.messageList;
			}
			set
			{
				Utility.messageList = value;
			}
		}

		// Token: 0x1700003A RID: 58
		// (get) Token: 0x06000135 RID: 309 RVA: 0x0000CD5C File Offset: 0x0000AF5C
		// (set) Token: 0x06000136 RID: 310 RVA: 0x000022F8 File Offset: 0x000004F8
		public static string ReportName
		{
			get
			{
				return Utility.reportName;
			}
			set
			{
				Utility.reportName = value;
			}
		}

		// Token: 0x04000099 RID: 153
		private const string ApplicationName = "PlateBeamConverter";

		// Token: 0x0400009A RID: 154
		private static List<string> messageList = new List<string>();

		// Token: 0x0400009B RID: 155
		private static string reportName = string.Empty;
	}
}
