﻿using System;
using System.Drawing;
using System.Windows.Forms;

namespace CustomButton
{
	// Token: 0x02000003 RID: 3
	public class CustomButton : Button
	{
		// Token: 0x06000021 RID: 33 RVA: 0x00002050 File Offset: 0x00000250
		private void InitializeComponent()
		{
			base.SuspendLayout();
			base.ResumeLayout(false);
		}

		// Token: 0x06000022 RID: 34 RVA: 0x0000394C File Offset: 0x00001B4C
		protected override void OnMouseDown(MouseEventArgs mevent)
		{
			base.OnMouseDown(mevent);
			if (this.DownImage != null)
			{
				base.Image = this.DownImage;
			}
		}

		// Token: 0x06000023 RID: 35 RVA: 0x00003980 File Offset: 0x00001B80
		protected override void OnMouseLeave(EventArgs e)
		{
			base.OnMouseLeave(e);
			if (this.NormalImage != null)
			{
				base.Image = this.NormalImage;
			}
		}

		// Token: 0x06000024 RID: 36 RVA: 0x000039B4 File Offset: 0x00001BB4
		protected override void OnMouseMove(MouseEventArgs mevent)
		{
			base.OnMouseMove(mevent);
			if (this.HoverImage != null)
			{
				base.Image = this.HoverImage;
			}
		}

		// Token: 0x06000025 RID: 37 RVA: 0x000039E8 File Offset: 0x00001BE8
		protected override void OnMouseUp(MouseEventArgs mevent)
		{
			base.OnMouseUp(mevent);
			if (this.NormalImage != null)
			{
				base.Image = this.NormalImage;
			}
		}

		// Token: 0x17000001 RID: 1
		// (get) Token: 0x06000026 RID: 38 RVA: 0x00003A1C File Offset: 0x00001C1C
		// (set) Token: 0x06000027 RID: 39 RVA: 0x00002062 File Offset: 0x00000262
		public Image DownImage
		{
			get;
			set;
		}

		// Token: 0x17000002 RID: 2
		// (get) Token: 0x06000028 RID: 40 RVA: 0x00003A34 File Offset: 0x00001C34
		// (set) Token: 0x06000029 RID: 41 RVA: 0x0000206B File Offset: 0x0000026B
		public Image HoverImage
		{
			get;
			set;
		}

		// Token: 0x17000003 RID: 3
		// (get) Token: 0x0600002A RID: 42 RVA: 0x00003A4C File Offset: 0x00001C4C
		// (set) Token: 0x0600002B RID: 43 RVA: 0x00002074 File Offset: 0x00000274
		public Image NormalImage
		{
			get;
			set;
		}
	}
}
